DMX::Universe Class Reference

The Universe class. More...

`#include <universe.h>`

Inheritance diagram for DMX::Universe:
[legend]

## Public Member Functions

| Universe (int timeout_period=E111_DATA_LOSS_TIMEOUT)
| Universe::Universe. More...
virtual | ~Universe ()
| Universe::~Universe.
virtual const DimmerData * | data () const
| Universe::data. More...
virtual uint8_t | slot (const uint16_t)
| Universe::slot. More...
virtual double | rxRate ()
| Universe::rxRate Rate (in Hz) at which the universe is being recv'd. More...
void | setValue (const uint16_t, const uint8_t)
| Universe::setValue. More...
void | setValue (const uint16_t, const uint16_t, const uint8_t *)
| Universe::setValue. More...
void | setData (std::vector< uint8_t >)
| Universe::setData Accept new data from receiver. More...
void | onData (const DataHandler)
| Universe::onData. More...

## Protected Attributes

std::vector< DataHandler > | callbacks_
| list of calback functions

## Detailed Description

The Universe class.

ANSI E1.11 describes may things about moving data over serial EIA-485-A links. This class encapselates that data, regardless of how it was transmitted.

## Constructor & Destructor Documentation

## Universe()

DMX::Universe::Universe | ( | int | timeout_period = `E111_DATA_LOSS_TIMEOUT` | ) |

Universe::Universe.

Parameters

  timeout_period |

## Member Function Documentation

## data()

const DimmerData * DMX::Universe::data | ( |  | ) | const

virtual

Universe::data.

Returns

Reimplemented in SACN::MergeProxyUniverse.

Here is the caller graph for this function:

## onData()

void DMX::Universe::onData | ( | const DataHandler | callback | ) |

Universe::onData.

Parameters

  callback |

## rxRate()

double DMX::Universe::rxRate | ( |  | ) |

virtual

Universe::rxRate Rate (in Hz) at which the universe is being recv'd.

Returns
  Hz

Calculated as the rolling mean of (the number of frames in the last rx_timeout_peroid ms) / rx_timeout_period seconds.

Reimplemented in SACN::MergeProxyUniverse.

Here is the caller graph for this function:

## setData()

void DMX::Universe::setData | ( | std::vector< uint8_t > | vect | ) |

Universe::setData Accept new data from receiver.

Parameters

  vect | varaibly sized data, beginning with a start code.

The only setData method used to establish rx rate.

Here is the caller graph for this function:

## setValue() [1/2]

void DMX::Universe::setValue | ( | const uint16_t | start,
|  | const uint16_t | footprint,
|  | const uint8_t * | profile
| ) |  |

Universe::setValue.

Parameters

  start |
  footprint |
  profile |

## setValue() [2/2]

void DMX::Universe::setValue | ( | const uint16_t | address,
|  | const uint8_t | value
| ) |  |

Universe::setValue.

Parameters

  address |
  value |

## slot()

uint8_t DMX::Universe::slot | ( | const uint16_t | address | ) |

virtual

Universe::slot.

Parameters

  address |

Returns

Reimplemented in SACN::Universe, and SACN::MergeProxyUniverse.

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/dmx/universe.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/dmx/universe.cpp